%undefine __cmake_in_source_build
# bytecompile with Python 3
%global __python %{__python3}

%define version_string 1.3.0
%global build_timestamp 1.%(date +"%Y%m%d")
%global rel_build %{build_timestamp}.%{shortcommit}%{?dist}

# vulkan capture version and commit
%global commit 76f1c3477e94fbe4b39353a65d1c95ae52b0a85d
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           obs-studio-gamecapture
Version:        %{version_string}
Release:        %{rel_build}
Summary:        Open Broadcaster Software Studio

License:        GPLv2+
URL:            https://github.com/nowrep/obs-vkcapture
Source0:        https://github.com/nowrep/obs-vkcapture/archive/%{commit}/obs-vkcapture-%{shortcommit}.tar.gz

BuildRequires:  vulkan-loader-devel
BuildRequires:  gcc-c++
BuildRequires:  cmake >= 2.8.8
BuildRequires:  extra-cmake-modules
BuildRequires:  libappstream-glib
BuildRequires:  libGL-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  vulkan-loader-devel


%description
OBS plugin for Vulkan/OpenGL game capture on Linux.
Requires OBS 27. On X11 you need to explicitly enable EGL: OBS_USE_EGL=1 obs.

%prep
%setup -n obs-vkcapture-%{commit} -q

%build
%cmake \
       -DBUILD_PLUGIN=OFF \
       -DCMAKE_BUILD_TYPE=Release
%cmake_build

%install
%cmake_install

%files
%{_bindir}/obs-vkcapture
%{_bindir}/obs-glcapture
%{_bindir}/obs-gamecapture
%{_datadir}/vulkan/implicit_layer.d/*.json
%{_libdir}/libobs_glcapture.so
%{_libdir}/libVkLayer_obs_vkcapture.so

%changelog
* Thu Mar 10 2022 Thomas Crider <fedorauser@fedoraproject.org> - 0.10.1-0.1
- Initial .spec file
